Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.swing
Class Buttonleiste

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      de.jsystems.framework.controls.FPanel
                          de.jsystems.framework.swing.Buttonleiste

All Implemented Interfaces:
  Accessible, IActionInterface, IAncestor, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IVetoableChange, MenuContainer, Serializable

Direct Known Subclasses:
  Taskleiste

public class Buttonleiste
extends FPanel

Klasse zum darstellen von Buttons. Zum Beispiel die übliche Buttonleiste mit den Button 'OK - Abbrechen'. Die Buttons werden bei dem übergebenen Controller registriert. Das ist normlerweise der bei dem auch die View registriert ist, die diese Buttonleiste anzeigt. Einige Buttonkombinatonen sind schon als Konstanten hinterlegt. Sollen diese benutzt werden, so muss nur noch ein Array fuer die Actionklassen uebergeben werden, die ausgefuehrt werden sollen, wenn einer der Buttons angeklickt wurde.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`static int` | `AENDERN_IGNORIEREN` Zwei Buttons mit ÄNDERN und IGNORIEREN
`protected Controller` | `controller` Der Controller fuer die Buttonleiste.
`static int` | `HORIZONTAL` Buttons �bereinander
`static int` | `JA_NEIN_ABBRECHEN` Drei Buttons mit JA, NEIN und ABBRECHEN
`static int` | `LADEN` Ein Button zum laden
`static int` | `NEU_AENDERN_LOESCHEN` Drei Button mit NEU, ÄNDERN und LÖSCHEN
`static int` | `NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_BILD` Navigationsleiste für Datensätze.
`static int` | `NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_TEXT` Navigationsleiste für Datensätze.
`static int` | `NEU_VORHERGEHEND_NAECHSTER_LOESCHEN` Vier Button mit NEU, VORHERGEHENDER, NÄCHSTER und LÖSCHEN
`static int` | `OK` Ein Button mit der Beschriftung OK
`static int` | `OK_ABBRECHEN` Zwei Buttons mit OK und Abbrechen
`static int` | `SPEICHERN` Ein Button zum speichern
`static int` | `VERTICAL` Buttons nebeneinander

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Buttonleiste(Controller controller, int ausrichtung)` Legt eine Buttonleiste an, die erst mal keine Buttons enthält.
`Buttonleiste(Controller controller, int ausrichtung, int typ, String[] action)` Erzeugt eine Standardbuttonleiste.
`Buttonleiste(Controller controller, int ausrichtung, int anzahl, String[] namen, String[] action)` Legt eine Buttonleiste mit der angegebenen Anzahl Button an.

Method Summary
`protected void` | `initGui()` Hier wird die Buttonleiste erzeugt.

Methods inherited from class de.jsystems.framework.controls.FPanel
`addMouseInputListener, getActionClassForAncestor, getActionClassForComponent, getActionClassForContainer, getActionClassForFocus, getActionClassForHierarchy, getActionClassForHierarchyBounds, getActionClassForInputMethod, getActionClassForKey, getActionClassForMouse, getActionClassForMouseInput, getActionClassForMouseMotion, getActionClassForPropertyChange, getActionClassForVetoableChange, removeMouseInputListener, setActionClassForAncestor, setActionClassForComponent, setActionClassForContainer, setActionClassForFocus, setActionClassForHierarchy, setActionClassForHierarchyBounds, setActionClassForInputMethod, setActionClassForKey, setActionClassForMouse, setActionClassForMouseInput, setActionClassForMouseMotion, setActionClassForPropertyChange, setActionClassForVetoableChange`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.swing.IAncestor
`addAncestorListener, removeAncestorListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.beans.IVetoableChange
`addVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Field Detail

### HORIZONTAL

    public static final int HORIZONTAL

  Buttons �bereinander

  See Also:
    Constant Field Values

### VERTICAL

    public static final int VERTICAL

  Buttons nebeneinander

  See Also:
    Constant Field Values

### OK

    public static final int OK

  Ein Button mit der Beschriftung OK

  See Also:
    Constant Field Values

### OK_ABBRECHEN

    public static final int OK_ABBRECHEN

  Zwei Buttons mit OK und Abbrechen

  See Also:
    Constant Field Values

### JA_NEIN_ABBRECHEN

    public static final int JA_NEIN_ABBRECHEN

  Drei Buttons mit JA, NEIN und ABBRECHEN

  See Also:
    Constant Field Values

### AENDERN_IGNORIEREN

    public static final int AENDERN_IGNORIEREN

  Zwei Buttons mit ÄNDERN und IGNORIEREN

  See Also:
    Constant Field Values

### NEU_AENDERN_LOESCHEN

    public static final int NEU_AENDERN_LOESCHEN

  Drei Button mit NEU, ÄNDERN und LÖSCHEN

  See Also:
    Constant Field Values

### NEU_VORHERGEHEND_NAECHSTER_LOESCHEN

    public static final int NEU_VORHERGEHEND_NAECHSTER_LOESCHEN

  Vier Button mit NEU, VORHERGEHENDER, NÄCHSTER und LÖSCHEN

  See Also:
    Constant Field Values

### NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_TEXT

    public static final int NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_TEXT

  Navigationsleiste für Datensätze. Hierbei werden in den Buttons Texte angezeigt

  See Also:
    Constant Field Values

### NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_BILD

    public static final int NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_BILD

  Navigationsleiste für Datensätze. Hierbei werden in den Buttons Icons angezeigt

  See Also:
    Constant Field Values

### SPEICHERN

    public static final int SPEICHERN

  Ein Button zum speichern

  See Also:
    Constant Field Values

### LADEN

    public static final int LADEN

  Ein Button zum laden

  See Also:
    Constant Field Values

### controller

    protected Controller controller

  Der Controller fuer die Buttonleiste.

Constructor Detail

### Buttonleiste

    public Buttonleiste(Controller controller,
                        int ausrichtung,
                        int anzahl,
                        String[] namen,
                        String[] action)

  Legt eine Buttonleiste mit der angegebenen Anzahl Button an. Die Grösse der Arrays muss mit 'anzahl' übereinstimmen. Andernfalls wird eine `IllegalArgumentException` ausgeloest.

Parameters:
  `controller` - Der Controller fuer die Buttons. Dieser reagiert auf Mausklicks auf den Buttons.
  `ausrichtung` - Legt fest, ob die Buttons neben- oder untereinander angeordnet werden sollen.
  `anzahl` - Legt die Anzahl anzulegender Buttons fest.
  `namen` - Ein Array mit den Namen fuer die einzelnen Buttons. Diese Namen werden als Beschriftung der Buttons benutzt.
  `action` - Ein Array mit den ActionNamen die dem jeweiligen Button zugeordnet werden sollen.

### Buttonleiste

    public Buttonleiste(Controller controller,
                        int ausrichtung)

  Legt eine Buttonleiste an, die erst mal keine Buttons enthält.

Parameters:
  `controller` - Der Controller fuer die Buttons. Dieser reagiert auf Mausklicks auf den Buttons.
  `ausrichtung` - Legt fest, ob die Buttons neben- oder untereinander angeordnet werden sollen.

### Buttonleiste

    public Buttonleiste(Controller controller,
                        int ausrichtung,
                        int typ,
                        String[] action)

  Erzeugt eine Standardbuttonleiste. Über den Parameter 'typ' wird das Ausehen festgelegt. Als Typ sind folgende Einstellungen möglich:
  - `OK` Ein Button mit der Beschriftung OK.
  - `OK_ABBRECHEN` Zwei Buttons mit OK und Abbrechen.
  - `JA_NEIN_ABBRECHEN` Drei Buttons mit JA, NEIN und ABBRECHEN.
  - `AENDERN_IGNORIEREN` Zwei Buttons mit ÄNDERN und IGNORIEREN.
  - `NEU_AENDERN_LOESCHEN` Drei Button mit NEU, ÄNDERN und LÖSCHEN.
  - `NEU_VORHERGEHEND_NAECHSTER_LOESCHEN` Vier Button mit NEU, VORHERGEHENDER, NÄCHSTER und LÖSCHEN.
  - `NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_TEXT` Navigationsleiste für Datensätze. Hierbei werden in den Buttons Texte angezeigt.
  - `NEU_ANFANG_VORHER_NAECHSTER_ENDE_LOESCHEN_BILD` Navigationsleiste für Datensätze. Hierbei werden in den Buttons Icons angezeigt.
  - `SPEICHERN` Ein Button zum speichern.
  - `LADEN` Ein Button zum laden.
    Wird hier ein anderer Typ uebergeben, so passiert nichts. Dann wird nur eine leere Buttonleiste generiert. Das Array fuer die Actionnamen enthaelt die vollqualifizierten Klassennamen der Actionklassen. Diese werden in den erzeugten Buttons generiert und beim `ActionManager` registriert. Bei einem Klick auf die Buttons werden diese Actionobjekte dann aufgerufen.

Parameters:
  `controller` - Der Controller fuer die Buttons. Dieser reagiert auf Mausklicks auf den Buttons.
  `ausrichtung` - Legt fest, ob die Buttons neben- oder untereinander angeordnet werden sollen.
  `typ` - Legt den Typ der Buttonleiste fest. Dabei muss es sich um einen der in dieser Klasse festgelegten Typen handeln.
  `action` - Ein Array mit den Namen der Actionklassen

Method Detail

### initGui

    protected void initGui()

  Hier wird die Buttonleiste erzeugt. Dabei wird entsprechend der im Konstruktor angegebenen Daten verfahren.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD